Package org.jbpm.bpmn2.handler

## Class ReceiveTaskHandler

- java.lang.Object
- - org.jbpm.bpmn2.handler.ReceiveTaskHandler

- All Implemented Interfaces:
    `org.kie.api.runtime.process.WorkItemHandler`

      public class ReceiveTaskHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReceiveTaskHandler​(org.kie.api.runtime.KieSession ksession)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortWorkItem​(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)` |
    `void` | `executeWorkItem​(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)` |
    `void` | `messageReceived​(String messageId, Object message)` |
    `void` | `setKnowledgeRuntime​(org.kie.api.runtime.KieSession ksession)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceiveTaskHandler

          public ReceiveTaskHandler​(org.kie.api.runtime.KieSession ksession)

  - ### Method Detail

    - #### setKnowledgeRuntime

          public void setKnowledgeRuntime​(org.kie.api.runtime.KieSession ksession)

    - #### executeWorkItem

          public void executeWorkItem​(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### messageReceived

          public void messageReceived​(String messageId,
                                      Object message)

    - #### abortWorkItem

          public void abortWorkItem​(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`